databases/php-redis - The NetBSD Packages Collection

PHP extension for Redis

The phpredis extension provides an API for communicating with the Redis
key-value store. It is released under the PHP License, version 3.01.
This code has been developed and maintained by Owlient from
November 2009 to March 2011.

Build dependencies

devel/pcre2 textproc/php-json pkgtools/cwrappers devel/pcre2 devel/libtool-base devel/automake devel/autoconf devel/pkgconf

Runtime dependencies

lang/php74 lang/php74

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfphp56-redis-2.2.8.tgz
NetBSD 8.0earmv7hfphp56-redis-2.2.8.tgz
NetBSD 8.0earmv7hfphp73-redis-5.3.3.tgz
NetBSD 8.0earmv7hfphp74-redis-5.3.3.tgz
NetBSD 8.0earmv7hfphp80-redis-5.3.3.tgz
NetBSD 8.0i386php56-redis-2.2.8.tgz
NetBSD 8.0i386php56-redis-2.2.8.tgz
NetBSD 8.0i386php73-redis-5.3.3.tgz
NetBSD 8.0i386php74-redis-5.3.3.tgz
NetBSD 8.0i386php80-redis-5.3.3.tgz
NetBSD 8.0powerpcphp56-redis-2.2.8.tgz
NetBSD 8.0powerpcphp73-redis-5.3.3.tgz
NetBSD 8.0powerpcphp74-redis-5.3.3.tgz
NetBSD 8.0powerpcphp80-redis-5.3.3.tgz
NetBSD 8.0powerpcphp56-redis-2.2.8.tgz
NetBSD 8.0powerpcphp73-redis-5.3.3.tgz
NetBSD 8.0powerpcphp74-redis-5.3.3.tgz
NetBSD 8.0powerpcphp80-redis-5.3.3.tgz
NetBSD 8.0x86_64php73-redis-5.3.3.tgz
NetBSD 8.0x86_64php74-redis-5.3.3.tgz
NetBSD 8.0x86_64php80-redis-5.3.3.tgz
NetBSD 8.0x86_64php56-redis-2.2.8.tgz
NetBSD 8.0x86_64php56-redis-2.2.8.tgz
NetBSD 9.0aarch64php73-redis-5.3.3.tgz
NetBSD 9.0aarch64php74-redis-5.3.3.tgz
NetBSD 9.0aarch64php80-redis-5.3.3.tgz
NetBSD 9.0aarch64php56-redis-2.2.8.tgz
NetBSD 9.0aarch64php56-redis-2.2.8.tgz
NetBSD 9.0alphaphp73-redis-5.3.3.tgz
NetBSD 9.0alphaphp74-redis-5.3.3.tgz
NetBSD 9.0alphaphp80-redis-5.3.3.tgz
NetBSD 9.0alphaphp56-redis-2.2.8.tgz
NetBSD 9.0alphaphp56-redis-2.2.8.tgz
NetBSD 9.0earmphp56-redis-2.2.8.tgz
NetBSD 9.0earmv6hfphp73-redis-5.3.3.tgz
NetBSD 9.0earmv6hfphp74-redis-5.3.3.tgz
NetBSD 9.0earmv6hfphp80-redis-5.3.3.tgz
NetBSD 9.0earmv6hfphp56-redis-2.2.8.tgz
NetBSD 9.0earmv6hfphp56-redis-2.2.8.tgz
NetBSD 9.0earmv6hfphp56-redis-2.2.8.tgz
NetBSD 9.0earmv7hfphp73-redis-5.3.3.tgz
NetBSD 9.0earmv7hfphp74-redis-5.3.3.tgz
NetBSD 9.0earmv7hfphp80-redis-5.3.3.tgz
NetBSD 9.0earmv7hfphp56-redis-2.2.8.tgz
NetBSD 9.0earmv7hfphp56-redis-2.2.8.tgz
NetBSD 9.0earmv7hfphp56-redis-2.2.8.tgz
NetBSD 9.0earmv7hfphp73-redis-5.3.3.tgz
NetBSD 9.0earmv7hfphp74-redis-5.3.3.tgz
NetBSD 9.0earmv7hfphp80-redis-5.3.3.tgz
NetBSD 9.0i386php56-redis-2.2.8.tgz
NetBSD 9.0i386php56-redis-2.2.8.tgz
NetBSD 9.0i386php73-redis-5.3.3.tgz
NetBSD 9.0i386php74-redis-5.3.3.tgz
NetBSD 9.0i386php80-redis-5.3.3.tgz
NetBSD 9.0mips64ebphp73-redis-5.3.3.tgz
NetBSD 9.0mips64ebphp74-redis-5.3.3.tgz
NetBSD 9.0mips64ebphp80-redis-5.3.3.tgz
NetBSD 9.0mips64ebphp56-redis-2.2.8.tgz
NetBSD 9.0mips64ebphp56-redis-2.2.8.tgz
NetBSD 9.0powerpcphp56-redis-2.2.8.tgz
NetBSD 9.0powerpcphp56-redis-2.2.8.tgz
NetBSD 9.0powerpcphp73-redis-5.3.3.tgz
NetBSD 9.0powerpcphp74-redis-5.3.3.tgz
NetBSD 9.0powerpcphp80-redis-5.3.3.tgz
NetBSD 9.0powerpcphp73-redis-5.3.3.tgz
NetBSD 9.0powerpcphp74-redis-5.3.3.tgz
NetBSD 9.0powerpcphp80-redis-5.3.3.tgz
NetBSD 9.0sparc64php73-redis-5.3.3.tgz
NetBSD 9.0sparc64php74-redis-5.3.3.tgz
NetBSD 9.0sparc64php80-redis-5.3.3.tgz
NetBSD 9.0sparc64php56-redis-2.2.8.tgz
NetBSD 9.0sparc64php56-redis-2.2.8.tgz
NetBSD 9.0sparcphp73-redis-5.3.3.tgz
NetBSD 9.0sparcphp74-redis-5.3.3.tgz
NetBSD 9.0sparcphp80-redis-5.3.3.tgz
NetBSD 9.0sparcphp56-redis-2.2.8.tgz
NetBSD 9.0sparcphp56-redis-2.2.8.tgz
NetBSD 9.0x86_64php56-redis-2.2.8.tgz
NetBSD 9.0x86_64php56-redis-2.2.8.tgz
NetBSD 9.0x86_64php56-redis-2.2.8.tgz
NetBSD 9.0x86_64php73-redis-5.3.3.tgz
NetBSD 9.0x86_64php74-redis-5.3.3.tgz
NetBSD 9.0x86_64php80-redis-5.3.3.tgz
NetBSD 9.0x86_64php56-redis-2.2.8.tgz
NetBSD 9.0x86_64php56-redis-2.2.8.tgz
NetBSD 9.0x86_64php73-redis-5.3.3.tgz
NetBSD 9.0x86_64php74-redis-5.3.3.tgz
NetBSD 9.0x86_64php80-redis-5.3.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.